namespace Tests.Parsers;

public class StudentParser_Tests
{
    private const string ContentDirectory = @"Parsers\TestInput\";

    [Test]
    public void ParseTest()
    {
	    var students = TestEntityHandler.GetStudents(TestEntityHandler.GetCompetitiveEvents());

	    foreach (var student in students)
	    {

		    Console.WriteLine($"{student.Name}, {student.Grade}, {student.StateID}, {student.RegionalID}, {student.TsaYear}, {student.Officer}");
		    Console.WriteLine("\t{0}", string.Join(", ", student.RankedEventPicks.Select(e => e.Name)));

	    }

		Console.WriteLine( string.Join(", ", students.OrderBy(s => s.FirstName).Select(s => s.FirstName)));
		Assert.Pass();
    }

}